Bug 1926843 - pipeline with finally tasks status is improper
Summary: pipeline with finally tasks status is improper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Mohammed Saud
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks: 1928023
TreeView+ depends on / blocked
 
Reported: 2021-02-09 14:43 UTC by Mohammed Saud
Modified: 2021-07-27 22:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1928023 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:42:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8110 0 None closed Bug 1926843: Consider finally tasks when calculating task status 2021-02-15 14:04:28 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:44:35 UTC

Description Mohammed Saud 2021-02-09 14:43:42 UTC
Description of problem:
When users run pipeline with finally task, status looks improper, It says some tasks got cancelled but actually none was.


Prerequisites (if any, like setup, operators/versions):
OCP 4.7, pipelines 1.3 (p->0.19.0, t->0.10.2)


Steps to Reproduce
oc create -f https://raw.githubusercontent.com/tektoncd/pipeline/v0.19.0/examples/v1beta1/pipelineruns/pipelinerun-with-final-tasks.yaml

Actual results
Task status popover shows some tasks as cancelled.

Expected results
No tasks got cancelled, and should show correctly as such.

Reproducibility (Always/Intermittent/Only Once):
Always

Additional info:
Providing slack discussion to know more about this bug: https://coreos.slack.com/archives/CG5GV6CJD/p1612537936146300

Comment 2 Karthik Jeeyar 2021-02-22 07:39:45 UTC
Verified on 4.8.0-0.nightly-2021-02-21-102854

Comment 5 errata-xmlrpc 2021-07-27 22:42:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.